Bug 1166289 - virt-sysprep: failed to connect to monitor socket: No such process (under non-root user)
Summary: virt-sysprep: failed to connect to monitor socket: No such process (under non...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
TreeView+ depends on / blocked
 
Reported: 2014-11-20 17:44 UTC by Martin Milata
Modified: 2015-06-29 23:22 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 23:22:48 UTC
Type: Bug


Attachments (Terms of Use)
virt-sysprep output (7.34 KB, text/plain)
2014-11-20 17:44 UTC, Martin Milata
no flags Details
journalctl snippet (1.35 KB, text/plain)
2014-11-20 17:45 UTC, Martin Milata
no flags Details
libvirt pool xml (534 bytes, application/xml)
2014-11-20 17:46 UTC, Martin Milata
no flags Details

Description Martin Milata 2014-11-20 17:44:48 UTC
Created attachment 959452 [details]
virt-sysprep output

Description of problem:
virt-sysprep does not work under non-root user even though it works under root and e.g. virt-ls works on the same image under non-root.

Version-Release number of selected component (if applicable):
libguestfs-tools-c-1.26.9-1.fc20.x86_64
libvirt-daemon-1.1.3.6-2.fc20.x86_64
qemu-kvm-1.6.2-10.fc20.x86_64

How reproducible: Always on my system.

Steps to Reproduce:
Run virt-sysprep -d domain -c qemu:///system under non-root user (for whom polkit allows org.libvirt.unix.manage)

Actual results: Attached output (w/ LIBGUESTFS_DEBUG/LIBGUESTFS_TRACE) 

Expected results: Successful virt-sysprep operation.

Additional info:
- SELinux in permissive mode.
- (Relevant journal snippet attached.)
- The image resides in libvirt pool that is on a separate partition (XML attached).

Comment 1 Martin Milata 2014-11-20 17:45:32 UTC
Created attachment 959453 [details]
journalctl snippet

Comment 2 Martin Milata 2014-11-20 17:46:27 UTC
Created attachment 959454 [details]
libvirt pool xml

Comment 3 Richard W.M. Jones 2014-11-20 17:56:07 UTC
This is likely a libvirt bug.  The workaround is to stop using
libvirt:

export LIBGUESTFS_BACKEND=direct

Comment 4 Richard W.M. Jones 2014-11-20 17:59:41 UTC
If you go to ~/.cache/libvirt/qemu/log/
there should be a file called 'guestfs-6oh7wcy3l1y9hvvv.log'
which contains the actual error from qemu or libvirt, which
will help with diagnosing the real problem.

Comment 5 Richard W.M. Jones 2014-11-20 18:08:41 UTC
Actually I've seen it from the journal snippet:

Nov 20 18:40:32 nfe libvirtd[26370]: unable to set security context 'unconfined_u:object_r:svirt_image_t:s0:c444,c704' on '/var/lib/libvirt/images/defaultpart/rhel65.qcow2': Operation not permitted

It would be nice if libvirt actually gave us this error, instead
of the misleading one about the monitor socket.

Essentially libguestfs can't open a file that it doesn't
have access to.  It needs to have enough permissions to
do that.

Comment 6 Fedora End Of Life 2015-05-29 13:20:26 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-06-29 23:22:48 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.